
From: Johannes Stezenbach <js@linuxtv.org>

use simple u8 instead of bitfields (Andreas Oberritter)

Signed-off-by: Johannes Stezenbach <js@linuxtv.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/media/dvb/frontends/tda1004x.h |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/media/dvb/frontends/tda1004x.h~dvb-tda1004x-dont-use-bitfields drivers/media/dvb/frontends/tda1004x.h
--- 25/drivers/media/dvb/frontends/tda1004x.h~dvb-tda1004x-dont-use-bitfields	2005-05-09 18:01:09.000000000 -0700
+++ 25-akpm/drivers/media/dvb/frontends/tda1004x.h	2005-05-09 18:01:09.000000000 -0700
@@ -32,10 +32,10 @@ struct tda1004x_config
 	u8 demod_address;
 
 	/* does the "inversion" need inverted? */
-	u8 invert:1;
+	u8 invert;
 
 	/* Does the OCLK signal need inverted? */
-	u8 invert_oclk:1;
+	u8 invert_oclk;
 
 	/* PLL maintenance */
 	int (*pll_init)(struct dvb_frontend* fe);
_
